Skip to main content
GET
/
indexes
/
{index_uid}
/
settings
/
embedders
cURL
curl \
  -X GET 'MEILISEARCH_URL/indexes/INDEX_NAME/settings/embedders'
{}

Authorizations

Authorization
string
header
required

An API key is a token that you provide when making API calls. Read more about how to secure your project.

Include the API key to the Authorization header, for instance:

-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'

If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:

const client = new MeiliSearch({
host: 'MEILISEARCH_URL',
apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'
});

Path Parameters

index_uid
string
required

Unique identifier of the index.

Response

Returns the current value of the embedders setting.

{key}
object

Configuration for one embedder used for semantic and hybrid search.

Set source (openAi, huggingFace, ollama, rest, userProvided), then the options that apply: model, apiKey, documentTemplate, dimensions, url, etc.